Create and invite a Company Manager

Create a Company Manager and sends the invitation email for signing in to the Remote Platform.

Authentication

This endpoint accepts any one of the following token types:

  • Company-scoped access token (OAuth2AuthorizationCode) — obtained by a company manager through the Authorization Code flow or the Refresh Token flow. See Authentication for partners.
  • Company-scoped access token (assertion) (OAuth2CompanyManagerAssertion) — obtained through the urn:ietf:params:oauth:grant-type:jwt-bearer grant for a company manager. See OAuth Assertion.
  • Customer API token (CustomerAPIToken) — generated by the customer on their Integration Settings page, with the scopes they choose there. See Authorization for customers.

Scopes

Any one of the scopes in a token type's row is enough. all:write works too.

Token typeCategoryRead only ScopeWrite only Scope (read access implicit)
Company-scoped access tokenManage company resources (company_admin)-Manage managers (company_manager:write)
Company-scoped access token (assertion)Manage company resources (company_admin)-Manage managers (company_manager:write)
Customer API tokenManage company resources (company_admin)-Manage managers (company_manager:write)
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Complementary action(s) to perform when creating a company manager:

  • no_invite skips the email invitation step
Body Params

Company Manager params

string

The Company ID. Required if the access token can access multiple companies. Optional otherwise.

string
required

The work email of the company manager

string
required

The name of the company manager

string
required

The role assigned for the new manager. The value should be one of the following:

  • admin: assigns the Super Admin role. A Super Admin has full access to the company on Remote, like the owner.
  • onboarding_manager: an Onboarding Manager can add, see and manage new hires.
  • people_manager: a People Manager can view employee profiles of the team members they manage and approve and decline time off and expenses for their employees.
Responses

Callback
Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json